"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.startPostgraphile = exports.isPostgraphileInstalled = exports.installPostgraphile = void 0;
const node_child_process_1 = require("node:child_process");
const path_1 = __importDefault(require("path"));
const constants_1 = __importDefault(require("../constants"));
function installPostgraphile() {
    (0, node_child_process_1.execSync)(`npm install -g postgraphile@4.12.8 @graphile-contrib/pg-simplify-inflector@6.1.0`, {
        stdio: 'inherit',
    });
}
exports.installPostgraphile = installPostgraphile;
function isPostgraphileInstalled() {
    try {
        const out = (0, node_child_process_1.execSync)('which postgraphile');
        const path = out.toString().trim();
        return !!path.length;
    }
    catch (error) {
        return false;
    }
}
exports.isPostgraphileInstalled = isPostgraphileInstalled;
function startPostgraphile(specConfigDir, url) {
    const graphQLConfigDir = path_1.default.join(specConfigDir, constants_1.default.GRAPHQL_DIR_NAME);
    const cmdArgs = [
        '--retry-on-init-fail',
        '--no-setof-functions-contain-nulls',
        '--no-ignore-rbac',
        '--no-ignore-indexes',
        '--legacy-relations',
        'omit',
    ];
    process.env.SPEC_DATABASE_URL = url;
    (0, node_child_process_1.execSync)(`postgraphile ${cmdArgs.join(' ')}`, { stdio: 'inherit', cwd: graphQLConfigDir });
}
exports.startPostgraphile = startPostgraphile;
//# sourceMappingURL=graphql.js.map