import { LinkProjectResponse, LoginResponse, GetContractRegistrationJobResponse, GetAbiResponse, CreateContractGroupResponse, GetContractGroupResponse, GetContractGroupEventsResponse, ResolveEventVersionCursorsResponse, ResolveEventVersionDataAfterResponse, GetPublishLiveObjectVersionJobResponse, GetLiveObjectVersionResponse, StringMap, StringKeyMap } from '../types';
declare function login(email: string, password: string): Promise<LoginResponse>;
declare function getProject(namespace: string, project: string, sessionToken: string): Promise<LinkProjectResponse>;
declare function logs(projectId: string, sessionToken: string, tail: number, env?: string): Promise<{
    error: string;
    data?: undefined;
} | {
    data: any;
    error?: undefined;
}>;
declare function getAbi(group: string): Promise<GetAbiResponse>;
declare function registerContracts(sessionToken: string, payload: StringKeyMap): Promise<GetContractRegistrationJobResponse>;
declare function getContractRegistrationJob(sessionToken: string, uid: string): Promise<GetContractRegistrationJobResponse>;
declare function createContractGroup(sessionToken: string, nsp: string, name: string, isFactoryGroup: boolean, abi: StringKeyMap[]): Promise<CreateContractGroupResponse>;
declare function getContractGroup(group: string): Promise<GetContractGroupResponse>;
declare function getContractGroupEvents(group: string): Promise<GetContractGroupEventsResponse>;
declare function resolveEventVersionCursors(givenName: string): Promise<ResolveEventVersionCursorsResponse>;
declare function getEventVersionDataAfter(cursors: StringKeyMap): Promise<ResolveEventVersionDataAfterResponse>;
declare function getLiveObjectVersion(id: string): Promise<GetLiveObjectVersionResponse>;
declare function publishLiveObjectVersion(nsp: string, name: string, version: string, folder: string, sessionToken: string): Promise<StringMap>;
declare function getPublishLiveObjectVersionJob(sessionToken: string, uid: string): Promise<GetPublishLiveObjectVersionJobResponse>;
export declare const client: {
    login: typeof login;
    getProject: typeof getProject;
    logs: typeof logs;
    getAbi: typeof getAbi;
    registerContracts: typeof registerContracts;
    getContractRegistrationJob: typeof getContractRegistrationJob;
    createContractGroup: typeof createContractGroup;
    getContractGroup: typeof getContractGroup;
    getContractGroupEvents: typeof getContractGroupEvents;
    resolveEventVersionCursors: typeof resolveEventVersionCursors;
    getEventVersionDataAfter: typeof getEventVersionDataAfter;
    getLiveObjectVersion: typeof getLiveObjectVersion;
    publishLiveObjectVersion: typeof publishLiveObjectVersion;
    getPublishLiveObjectVersionJob: typeof getPublishLiveObjectVersionJob;
};
export {};
//# sourceMappingURL=client.d.ts.map