"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("../logger");
const auth_1 = require("../utils/auth");
const CMD = 'logout';
function addLogoutCmd(program) {
    program.command(CMD).description('Log out of your Spec account').action(logout);
}
/**
 * Logout of Spec.
 */
function logout() {
    return __awaiter(this, void 0, void 0, function* () {
        const { error } = (0, auth_1.deleteSession)();
        if (error) {
            (0, logger_1.logFailure)(error);
            return;
        }
        (0, logger_1.logSuccess)('Successfully logged out.');
    });
}
exports.default = addLogoutCmd;
//# sourceMappingURL=logout.js.map