"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("../../logger");
const auth_1 = require("../../utils/auth");
const msg_1 = __importDefault(require("../../utils/msg"));
const CMD = 'user';
function addUserCmd(cmd) {
    cmd.command(CMD).description('Show the current user').action(showUser);
}
/**
 * Show the current user.
 */
function showUser() {
    return __awaiter(this, void 0, void 0, function* () {
        const { login, error } = (0, auth_1.getSessionLogin)();
        if (error) {
            (0, logger_1.logFailure)(error);
            return;
        }
        if (!login) {
            (0, logger_1.log)(msg_1.default.AUTH_REQUIRED_MESSAGE);
            return;
        }
        (0, logger_1.logSuccess)(login);
    });
}
exports.default = addUserCmd;
//# sourceMappingURL=user.js.map