"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.localProjectConfigFileExists = exports.createSpecProjectConfigFile = void 0;
const file_1 = require("../utils/file");
const constants_1 = __importDefault(require("../constants"));
const path_1 = __importDefault(require("path"));
const comments = {
    DATA_SOURCES_SECTION: '# = Data Sources -----------------------------',
    LIVE_TABLES_SECTION: '# = Live Tables ------------------------------',
    LINKS_SECTION: '# = Links & Filters --------------------------',
    DEFAULTS_SECTION: '# = Defaults ---------------------------------',
};
const TEMPLATE = `${comments.DATA_SOURCES_SECTION}


${comments.LIVE_TABLES_SECTION}


${comments.LINKS_SECTION}

`;
const createSpecProjectConfigFile = (specConfigDir) => {
    specConfigDir = specConfigDir || constants_1.default.SPEC_CONFIG_DIR;
    const filePath = path_1.default.join(specConfigDir, constants_1.default.PROJECT_CONFIG_FILE_NAME);
    (0, file_1.fileExists)(filePath) || (0, file_1.createFileWithContents)(filePath, TEMPLATE);
};
exports.createSpecProjectConfigFile = createSpecProjectConfigFile;
const localProjectConfigFileExists = () => (0, file_1.fileExists)(constants_1.default.PROJECT_CONFIG_PATH);
exports.localProjectConfigFileExists = localProjectConfigFileExists;
//# sourceMappingURL=project.js.map