"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.doesPostgraphilercExist = exports.upsertGraphQLConfigDir = exports.upsertPostgraphilerc = void 0;
const path_1 = __importDefault(require("path"));
const constants_1 = __importDefault(require("../constants"));
const file_1 = require("../utils/file");
const rcFileName = '.postgraphilerc.js';
const rcDefaultContents = `module.exports = {
    options: {
        connection: process.env.SPEC_DATABASE_URL,
        host: process.env.SPEC_GRAPH_HOST || 'localhost',
        port: process.env.SPEC_GRAPH_PORT || 5555,
        graphql: '/graphql',
        schema: ['public'],
        watch: true,
        defaultRole: 'spec',
        skipPlugins: 'graphile-build:NodePlugin',
        appendPlugins: [
            '@graphile-contrib/pg-simplify-inflector',
        ],
        simpleCollections: 'only',
        dynamicJson: true,
        ignoreIndexes: false,
        extendedErrors: ['errcode'],
        enableQueryBatching: true,
        graphileBuildOptions: {
            pgOmitListSuffix: true,
        },
    },
}`;
function upsertPostgraphilerc(specProjectConfigDir) {
    const rcFilePath = path_1.default.join(specProjectConfigDir, constants_1.default.GRAPHQL_DIR_NAME, rcFileName);
    upsertGraphQLConfigDir(specProjectConfigDir);
    (0, file_1.fileExists)(rcFilePath) || (0, file_1.createFileWithContents)(rcFilePath, rcDefaultContents);
}
exports.upsertPostgraphilerc = upsertPostgraphilerc;
function upsertGraphQLConfigDir(specProjectConfigDir) {
    const graphQLConfigDir = path_1.default.join(specProjectConfigDir, constants_1.default.GRAPHQL_DIR_NAME);
    (0, file_1.fileExists)(graphQLConfigDir) || (0, file_1.createDir)(graphQLConfigDir);
}
exports.upsertGraphQLConfigDir = upsertGraphQLConfigDir;
function doesPostgraphilercExist(specProjectConfigDir) {
    return (0, file_1.fileExists)(path_1.default.join(specProjectConfigDir, constants_1.default.GRAPHQL_DIR_NAME, rcFileName));
}
exports.doesPostgraphilercExist = doesPostgraphilercExist;
//# sourceMappingURL=postgraphilercTemplate.js.map