export declare type StringKeyMap = {
    [key: string]: any;
};
export declare type StringMap = {
    [key: string]: string;
};
export declare type AnyMap = {
    [key: string | number]: any;
};
export interface SpecApiResponse {
    data?: StringKeyMap;
    error?: string;
    headers?: any;
}
export interface LoginResponse {
    sessionToken?: string;
    error?: string;
    message?: string;
}
export interface LinkProjectResponse {
    id?: string;
    name?: string;
    namespace?: string;
    apiKey?: string;
    metadata?: StringKeyMap;
    error?: string;
}
export interface GetAbiResponse {
    abi?: string;
    error?: string;
    message?: string;
}
export interface GetContractRegistrationJobResponse {
    uid?: string;
    nsp?: string;
    groups?: StringKeyMap[];
    status?: ContractRegistrationJobStatus;
    failed?: boolean;
    error?: string;
    createdAt?: string;
    updatedAt?: string;
}
export interface GetPublishLiveObjectVersionJobResponse {
    uid?: string;
    nsp?: string;
    name?: string;
    version?: string;
    status?: PublishLiveObjectVersionJobStatus;
    cursor?: string;
    metadata?: any;
    failed?: boolean;
    error?: string;
    createdAt?: string;
    updatedAt?: string;
}
export interface CreateContractGroupResponse {
    error?: string;
}
export interface GetContractGroupResponse {
    error?: string;
    instances?: StringKeyMap;
}
export interface GetContractGroupEventsResponse {
    error?: string;
    events?: StringKeyMap[];
}
export interface ResolveEventVersionCursorsResponse {
    error?: string;
    cursors?: StringKeyMap[];
    latestEvent?: StringKeyMap;
}
export interface ResolveEventVersionDataAfterResponse {
    error?: string;
    events?: StringKeyMap;
}
export interface GetLiveObjectVersionResponse {
    error?: string;
    lov?: LiveObjectVersion;
}
export declare enum ContractRegistrationJobStatus {
    Created = "created",
    Decoding = "decoding",
    Indexing = "indexing",
    Complete = "complete"
}
export declare enum PublishLiveObjectVersionJobStatus {
    Created = "created",
    Migrating = "migrating",
    Publishing = "publishing",
    Indexing = "indexing",
    Complete = "complete"
}
export interface Log {
    message: string;
    level: LogLevel;
    timestamp: string;
}
export declare enum LogLevel {
    Info = "info",
    Warn = "warn",
    Error = "error"
}
export interface Migration {
    name: string;
    version: number;
}
export interface LiveObjectVersion {
    id: string;
    name: string;
    properties: LiveObjectVersionProperty[];
    primaryTimestampProperty: string;
    uniqueBy: string[];
    createdAt: string;
}
export interface LiveObjectVersionProperty {
    name: string;
    type: string;
    desc: string;
}
//# sourceMappingURL=types.d.ts.map