"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNetrcEntryId = exports.getSessionLogin = exports.getSessionToken = exports.deleteSession = exports.persistSession = void 0;
const netrc_1 = __importDefault(require("netrc"));
const routes_1 = require("../api/routes");
function persistSession(email, token) {
    let error = null;
    try {
        const entries = (0, netrc_1.default)();
        entries[getNetrcEntryId()] = {
            login: email,
            password: token,
        };
        netrc_1.default.save(entries);
    }
    catch (err) {
        error = (err === null || err === void 0 ? void 0 : err.message) || err;
    }
    return { error };
}
exports.persistSession = persistSession;
function deleteSession() {
    let error = null;
    try {
        const entries = (0, netrc_1.default)();
        delete entries[getNetrcEntryId()];
        netrc_1.default.save(entries);
    }
    catch (err) {
        error = (err === null || err === void 0 ? void 0 : err.message) || err;
    }
    return { error };
}
exports.deleteSession = deleteSession;
function getSessionToken() {
    let token = null;
    let error = null;
    try {
        const entries = (0, netrc_1.default)();
        token = (entries[getNetrcEntryId()] || {}).password || null;
    }
    catch (err) {
        error = (err === null || err === void 0 ? void 0 : err.message) || err;
    }
    return { token, error };
}
exports.getSessionToken = getSessionToken;
function getSessionLogin() {
    let login = null;
    let error = null;
    try {
        const entries = (0, netrc_1.default)();
        login = (entries[getNetrcEntryId()] || {}).login || null;
    }
    catch (err) {
        error = (err === null || err === void 0 ? void 0 : err.message) || err;
    }
    return { login, error };
}
exports.getSessionLogin = getSessionLogin;
function getNetrcEntryId() {
    const url = new URL((0, routes_1.buildUrl)(''));
    return url.hostname;
}
exports.getNetrcEntryId = getNetrcEntryId;
//# sourceMappingURL=auth.js.map