"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOS = exports.OS = void 0;
const node_child_process_1 = require("node:child_process");
var OS;
(function (OS) {
    OS["Mac"] = "mac";
    OS["Linux"] = "linux";
    OS["Unknown"] = "unknown";
})(OS = exports.OS || (exports.OS = {}));
function getOS() {
    try {
        const out = (0, node_child_process_1.execSync)('uname -s') || '';
        if (out.includes('Darwin'))
            return OS.Mac;
        if (out.includes('Linux'))
            return OS.Linux;
        return OS.Unknown;
    }
    catch (error) {
        return OS.Unknown;
    }
}
exports.getOS = getOS;
//# sourceMappingURL=os.js.map