"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.guessColType = exports.isObject = exports.isDate = exports.SYMBOL = exports.OBJECT = exports.DATE = exports.JSON_PROPERTY_TYPE = exports.CHAIN_ID = exports.TRANSACTION_HASH = exports.BLOCK_HASH = exports.ADDRESS = exports.TIMESTAMP = exports.BLOCK_NUMBER = exports.BIG_FLOAT = exports.BIG_INT = exports.BOOLEAN = exports.NUMBER = exports.STRING = void 0;
const columnTypes_1 = require("./columnTypes");
exports.STRING = 'string';
exports.NUMBER = 'number';
exports.BOOLEAN = 'boolean';
exports.BIG_INT = 'BigInt';
exports.BIG_FLOAT = 'BigFloat';
exports.BLOCK_NUMBER = 'BlockNumber';
exports.TIMESTAMP = 'Timestamp';
exports.ADDRESS = 'Address';
exports.BLOCK_HASH = 'BlockHash';
exports.TRANSACTION_HASH = 'TransactionHash';
exports.CHAIN_ID = 'ChainId';
exports.JSON_PROPERTY_TYPE = 'Json';
exports.DATE = 'date';
exports.OBJECT = 'object';
exports.SYMBOL = 'symbol';
const isDate = (value) => Object.prototype.toString.call(value) === '[object Date]';
exports.isDate = isDate;
const isObject = (value) => Object.prototype.toString.call(value) === '[object Object]';
exports.isObject = isObject;
function guessColType(t) {
    switch (t.toLowerCase()) {
        // Varchars
        case exports.STRING:
        case exports.SYMBOL:
        case exports.ADDRESS.toLowerCase():
        case exports.CHAIN_ID.toLowerCase():
        case exports.BLOCK_HASH.toLowerCase():
        case exports.TRANSACTION_HASH.toLowerCase():
        case exports.BIG_INT.toLowerCase():
        case exports.BIG_FLOAT.toLowerCase():
            return columnTypes_1.VARCHAR;
        // Integer
        case exports.NUMBER:
            return columnTypes_1.INT4;
        // Block numbers will be int8 for now.
        case exports.BLOCK_NUMBER.toLowerCase():
            return columnTypes_1.INT8;
        // Booleans
        case exports.BOOLEAN:
            return exports.BOOLEAN;
        // Datetimes
        case exports.DATE:
        case exports.TIMESTAMP.toLowerCase():
            return columnTypes_1.TIMESTAMPTZ;
        default:
            return columnTypes_1.JSON;
    }
}
exports.guessColType = guessColType;
//# sourceMappingURL=propertyTypes.js.map