"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.couldBeEventName = exports.isValidContractGroup = exports.isValidAddress = exports.isValidPath = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
function isValidPath(p) {
    try {
        fs_1.default.accessSync(path_1.default.resolve(p));
        return true;
    }
    catch (err) {
        return false;
    }
}
exports.isValidPath = isValidPath;
function isValidAddress(address) {
    return /^0x[a-fA-F0-9]{40}$/.test(address);
}
exports.isValidAddress = isValidAddress;
function isValidContractGroup(group) {
    const comps = (group || '').split('.').filter((v) => !!v);
    return comps.length === 2;
}
exports.isValidContractGroup = isValidContractGroup;
function couldBeEventName(value) {
    value = value || '';
    if (value.includes('@')) {
        const splitValue = value.split('@');
        if (splitValue.length > 2)
            return false;
        value = splitValue[0];
    }
    const sections = value.split('.').filter((v) => !!v);
    const numSections = sections.length;
    return (numSections === 2 || numSections === 3 || (numSections === 5 && sections[1] === 'contracts'));
}
exports.couldBeEventName = couldBeEventName;
//# sourceMappingURL=validators.js.map